Update a single module
PATCH
/v1/account/{id}/modules/{key}/
const url = 'https://example.com/v1/account/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/modules/example/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"account_choice":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/account/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/modules/example/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "account_choice": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this account.
key
required
string
Request Body
Section titled “Request Body”object
account_choice
boolean
Example generated
{ "account_choice": true}object
account_choice
boolean
Responses
Section titled “Responses”Media typeapplication/json
Read representation of a module: three computed fields.
object
config
required
boolean
has_data
required
boolean
account_choice
required
boolean
Example generated
{ "config": true, "has_data": true, "account_choice": true}